#include <stddef.h>

extern __attribute__((noreturn)) void __ygglibc_entry(const void *, const void *);
extern int main(int, const char **, const char **);

// // rust's shlib export breaks memset symbol
// void *memset(void *dst, int val, size_t len) __attribute__((weak)) {
//     for (size_t i = 0; i < len; ++i) {
//         ((char *) dst)[i] = (char) val;
//     }
//     return dst;
// }

[[noreturn]] void _start(const void *arg) {
    __ygglibc_entry(main, arg);
}
